Home//Visitors
Visitors
Introduction
Changelog (2.16)
Intercom API
Admins
AI Content
Articles
Audiences
Away Status Reasons
Banners
Brands
Calls
Companies
Contacts
Content
Content Snippets
Conversations
Conversations Attributes
Custom Object Instances
Data Attributes
Data Connectors
Data Events
Data Export
Emails
Fin Agent
Help Center
Internal Articles
IP Allowlist
Jobs
Macros
Messages
News
Notes
Office Hours
Reporting Data Export
Segments
Subscription Types
Switch
Tags
Teams
Ticket States
Ticket Type Attributes
Ticket Types
Tickets
WhatsApp
Workflows
Models
Sending a PUT request to /visitors will result in an update of an existing Visitor.
Option 1. You can update a visitor by passing in the user_id of the visitor in the Request body.
Option 2. You can update a visitor by passing in the id of the visitor in the Request body.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
By default, it's equal to the version set in the app package.
Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
Any of:
Update an existing visitor.
- The production API serverhttps://api.intercom.io/visitors
- The european API serverhttps://api.eu.intercom.io/visitors
- The australian API serverhttps://api.au.intercom.io/visitors
- object
- object (2)
- successful
- visitor Not Found
curl -i -X PUT \
https://api.intercom.io/visitors \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.16' \
-d '{
"id": "6762f30c1bb69f9f2193bc5e",
"name": "Gareth Bale"
}'successful
Automatically generated identifier for the Visitor.
Example:"8a88a590-e1c3-41e2-a502-e0649dbf721c"
Response
{ "type": "visitor", "id": "6762f30c1bb69f9f2193bc5e", "user_id": "3ecf64d0-9ed1-4e9f-88e1-da7d6e6782f3", "anonymous": true, "email": "", "phone": null, "name": "Gareth Bale", "pseudonym": "Violet Suitcase", "avatar": { "type": "avatar", "image_url": "https://static.intercomassets.com/app/pseudonym_avatars_2019/violet-suitcase.png" }, "app_id": "this_is_an_id716_that_should_be_at_least_", "companies": { "type": "company.list", "companies": [] }, "location_data": {}, "last_request_at": null, "created_at": 1734537996, "remote_created_at": 1734537996, "signed_up_at": 1734537996, "updated_at": 1734537997, "session_count": 0, "social_profiles": { "type": "social_profile.list", "social_profiles": [] }, "owner_id": null, "unsubscribed_from_emails": false, "marked_email_as_spam": false, "has_hard_bounced": false, "tags": { "type": "tag.list", "tags": [] }, "segments": { "type": "segment.list", "segments": [] }, "custom_attributes": {}, "referrer": null, "utm_campaign": null, "utm_content": null, "utm_medium": null, "utm_source": null, "utm_term": null, "do_not_track": null }